gdlmm: gdlmm Enums and Flags

gdlmm 3.3.2

- Main Page
- Modules
- Namespaces
- Classes

Enumerations | Functions
gdlmm Enums and Flags

## Enumerations
enum | Gdl::DockParamFlags { Gdl::DOCK_PARAM_EXPORT = 1 << G_PARAM_USER_SHIFT, Gdl::DOCK_PARAM_AFTER = 1 << (G_PARAM_USER_SHIFT + 1) }
enum | Gdl::DockObjectFlags { Gdl::DOCK_AUTOMATIC = 1 << 0, Gdl::DOCK_ATTACHED = 1 << 1, Gdl::DOCK_IN_REFLOW = 1 << 2, Gdl::DOCK_IN_DETACH = 1 << 3 }
enum | Gdl::DockPlacement { Gdl::DOCK_NONE, Gdl::DOCK_TOP, Gdl::DOCK_BOTTOM, Gdl::DOCK_RIGHT, Gdl::DOCK_LEFT, Gdl::DOCK_CENTER, Gdl::DOCK_FLOATING }
enum | Gdl::DockItemBehavior { Gdl::DOCK_ITEM_BEH_NORMAL = 0, Gdl::DOCK_ITEM_BEH_NEVER_FLOATING = 1 << 0, Gdl::DOCK_ITEM_BEH_NEVER_VERTICAL = 1 << 1, Gdl::DOCK_ITEM_BEH_NEVER_HORIZONTAL = 1 << 2, Gdl::DOCK_ITEM_BEH_LOCKED = 1 << 3, Gdl::DOCK_ITEM_BEH_CANT_DOCK_TOP = 1 << 4, Gdl::DOCK_ITEM_BEH_CANT_DOCK_BOTTOM = 1 << 5, Gdl::DOCK_ITEM_BEH_CANT_DOCK_LEFT = 1 << 6, Gdl::DOCK_ITEM_BEH_CANT_DOCK_RIGHT = 1 << 7, Gdl::DOCK_ITEM_BEH_CANT_DOCK_CENTER = 1 << 8, Gdl::DOCK_ITEM_BEH_CANT_CLOSE = 1 << 9, Gdl::DOCK_ITEM_BEH_CANT_ICONIFY = 1 << 10, Gdl::DOCK_ITEM_BEH_NO_GRIP = 1 << 11 }
enum | Gdl::DockItemFlags { Gdl::DOCK_IN_DRAG = 1 << 8, Gdl::DOCK_IN_PREDRAG = 1 << 9, Gdl::DOCK_ICONIFIED = 1 << 10, Gdl::DOCK_USER_ACTION = 1 << 11 }
enum | Gdl::SwitcherStyle { Gdl::SWITCHER_STYLE_TEXT, Gdl::SWITCHER_STYLE_ICON, Gdl::SWITCHER_STYLE_BOTH, Gdl::SWITCHER_STYLE_TOOLBAR, Gdl::SWITCHER_STYLE_TABS, Gdl::SWITCHER_STYLE_NONE }
enum | Gdl::DockBarStyle { Gdl::DOCK_BAR_ICONS, Gdl::DOCK_BAR_TEXT, Gdl::DOCK_BAR_BOTH, Gdl::DOCK_BAR_AUTO }
## Functions
DockObjectFlags | Gdl::operator| (DockObjectFlags lhs, DockObjectFlags rhs)
DockObjectFlags | Gdl::operator& (DockObjectFlags lhs, DockObjectFlags rhs)
DockObjectFlags | Gdl::operator^ (DockObjectFlags lhs, DockObjectFlags rhs)
DockObjectFlags | Gdl::operator~ (DockObjectFlags flags)
DockObjectFlags& | Gdl::operator|= (DockObjectFlags& lhs, DockObjectFlags rhs)
DockObjectFlags& | Gdl::operator&= (DockObjectFlags& lhs, DockObjectFlags rhs)
DockObjectFlags& | Gdl::operator^= (DockObjectFlags& lhs, DockObjectFlags rhs)
DockItemBehavior | Gdl::operator| (DockItemBehavior lhs, DockItemBehavior rhs)
DockItemBehavior | Gdl::operator& (DockItemBehavior lhs, DockItemBehavior rhs)
DockItemBehavior | Gdl::operator^ (DockItemBehavior lhs, DockItemBehavior rhs)
DockItemBehavior | Gdl::operator~ (DockItemBehavior flags)
DockItemBehavior& | Gdl::operator|= (DockItemBehavior& lhs, DockItemBehavior rhs)
DockItemBehavior& | Gdl::operator&= (DockItemBehavior& lhs, DockItemBehavior rhs)
DockItemBehavior& | Gdl::operator^= (DockItemBehavior& lhs, DockItemBehavior rhs)

## Enumeration Type Documentation

enum Gdl::DockBarStyle

Enumerator:

  DOCK_BAR_ICONS |
  DOCK_BAR_TEXT |
  DOCK_BAR_BOTH |
  DOCK_BAR_AUTO |

enum Gdl::DockItemBehavior

Bitwise operators:
  `DockItemBehavior operator|(DockItemBehavior, DockItemBehavior)`
  `DockItemBehavior operator&(DockItemBehavior, DockItemBehavior)`
  `DockItemBehavior operator^(DockItemBehavior, DockItemBehavior)`
  `DockItemBehavior operator~(DockItemBehavior)`
  `DockItemBehavior& operator|=(DockItemBehavior&, DockItemBehavior)`
  `DockItemBehavior& operator&=(DockItemBehavior&, DockItemBehavior)`
  `DockItemBehavior& operator^=(DockItemBehavior&, DockItemBehavior)`

Enumerator:

  DOCK_ITEM_BEH_NORMAL |
  DOCK_ITEM_BEH_NEVER_FLOATING |
  DOCK_ITEM_BEH_NEVER_VERTICAL |
  DOCK_ITEM_BEH_NEVER_HORIZONTAL |
  DOCK_ITEM_BEH_LOCKED |
  DOCK_ITEM_BEH_CANT_DOCK_TOP |
  DOCK_ITEM_BEH_CANT_DOCK_BOTTOM |
  DOCK_ITEM_BEH_CANT_DOCK_LEFT |
  DOCK_ITEM_BEH_CANT_DOCK_RIGHT |
  DOCK_ITEM_BEH_CANT_DOCK_CENTER |
  DOCK_ITEM_BEH_CANT_CLOSE |
  DOCK_ITEM_BEH_CANT_ICONIFY |
  DOCK_ITEM_BEH_NO_GRIP |

enum Gdl::DockItemFlags

Enumerator:

  DOCK_IN_DRAG |
  DOCK_IN_PREDRAG |
  DOCK_ICONIFIED |
  DOCK_USER_ACTION |

enum Gdl::DockObjectFlags

Bitwise operators:
  `DockObjectFlags operator|(DockObjectFlags, DockObjectFlags)`
  `DockObjectFlags operator&(DockObjectFlags, DockObjectFlags)`
  `DockObjectFlags operator^(DockObjectFlags, DockObjectFlags)`
  `DockObjectFlags operator~(DockObjectFlags)`
  `DockObjectFlags& operator|=(DockObjectFlags&, DockObjectFlags)`
  `DockObjectFlags& operator&=(DockObjectFlags&, DockObjectFlags)`
  `DockObjectFlags& operator^=(DockObjectFlags&, DockObjectFlags)`

Enumerator:

  DOCK_AUTOMATIC |
  DOCK_ATTACHED |
  DOCK_IN_REFLOW |
  DOCK_IN_DETACH |

enum Gdl::DockParamFlags

Enumerator:

  DOCK_PARAM_EXPORT |
  DOCK_PARAM_AFTER |

enum Gdl::DockPlacement

Enumerator:

  DOCK_NONE |
  DOCK_TOP |
  DOCK_BOTTOM |
  DOCK_RIGHT |
  DOCK_LEFT |
  DOCK_CENTER |
  DOCK_FLOATING |

enum Gdl::SwitcherStyle

Enumerator:

  SWITCHER_STYLE_TEXT |
  SWITCHER_STYLE_ICON |
  SWITCHER_STYLE_BOTH |
  SWITCHER_STYLE_TOOLBAR |
  SWITCHER_STYLE_TABS |
  SWITCHER_STYLE_NONE |

## Function Documentation

DockObjectFlags Gdl::operator& | ( | DockObjectFlags | lhs,
|  | DockObjectFlags | rhs
| ) |  | `[inline]`

DockItemBehavior Gdl::operator& | ( | DockItemBehavior | lhs,
|  | DockItemBehavior | rhs
| ) |  | `[inline]`

DockObjectFlags& Gdl::operator&= | ( | DockObjectFlags & | lhs,
|  | DockObjectFlags | rhs
| ) |  | `[inline]`

DockItemBehavior& Gdl::operator&= | ( | DockItemBehavior & | lhs,
|  | DockItemBehavior | rhs
| ) |  | `[inline]`

DockItemBehavior Gdl::operator^ | ( | DockItemBehavior | lhs,
|  | DockItemBehavior | rhs
| ) |  | `[inline]`

DockObjectFlags Gdl::operator^ | ( | DockObjectFlags | lhs,
|  | DockObjectFlags | rhs
| ) |  | `[inline]`

DockItemBehavior& Gdl::operator^= | ( | DockItemBehavior & | lhs,
|  | DockItemBehavior | rhs
| ) |  | `[inline]`

DockObjectFlags& Gdl::operator^= | ( | DockObjectFlags & | lhs,
|  | DockObjectFlags | rhs
| ) |  | `[inline]`

DockItemBehavior Gdl::operator| | ( | DockItemBehavior | lhs,
|  | DockItemBehavior | rhs
| ) |  | `[inline]`

DockObjectFlags Gdl::operator| | ( | DockObjectFlags | lhs,
|  | DockObjectFlags | rhs
| ) |  | `[inline]`

DockObjectFlags& Gdl::operator|= | ( | DockObjectFlags & | lhs,
|  | DockObjectFlags | rhs
| ) |  | `[inline]`

DockItemBehavior& Gdl::operator|= | ( | DockItemBehavior & | lhs,
|  | DockItemBehavior | rhs
| ) |  | `[inline]`

DockItemBehavior Gdl::operator~ | ( | DockItemBehavior | flags | ) | `[inline]`

DockObjectFlags Gdl::operator~ | ( | DockObjectFlags | flags | ) | `[inline]`